Loading...
Searching...
No Matches
LevelSetFilter< LevelSetGridT > Class Template Reference

`#include <openvdb/points/IndexFilter.h>`

## Public Types

using | ValueT = typename LevelSetGridT::ValueType
using | Handle = AttributeHandle< openvdb::Vec3f >

## Public Member Functions

| LevelSetFilter (const LevelSetGridT &grid, const math::Transform &transform, const ValueT min, const ValueT max)
| LevelSetFilter (const LevelSetFilter &filter)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
template<typename IterT >
bool | valid (const IterT &iter) const

## Static Public Member Functions

static index::State | state ()
template<typename LeafT >
static index::State | state (const LeafT &)

## Member Typedef Documentation

## Handle

template<typename LevelSetGridT >

using Handle = AttributeHandle<openvdb::Vec3f>

## ValueT

template<typename LevelSetGridT >

using ValueT = typename LevelSetGridT::ValueType

## Constructor & Destructor Documentation

## LevelSetFilter() [1/2]

template<typename LevelSetGridT >

LevelSetFilter | ( | const LevelSetGridT & | grid,
|  | const math::Transform & | transform,
|  | const ValueT | min,
|  | const ValueT | max
| ) |  |

inline

## LevelSetFilter() [2/2]

template<typename LevelSetGridT >

LevelSetFilter | ( | const LevelSetFilter< LevelSetGridT > & | filter | ) |

inline

## Member Function Documentation

## initialized()

template<typename LevelSetGridT >

bool initialized | ( |  | ) | const

inline

## reset()

template<typename LevelSetGridT >
template<typename LeafT >

void reset | ( | const LeafT & | leaf | ) |

inline

## state() [1/2]

template<typename LevelSetGridT >

static index::State state | ( |  | ) |

inlinestatic

## state() [2/2]

template<typename LevelSetGridT >
template<typename LeafT >

static index::State state | ( | const LeafT & |  | ) |

inlinestatic

## valid()

template<typename LevelSetGridT >
template<typename IterT >

bool valid | ( | const IterT & | iter | ) | const

inline